Skip to main content
Import / Export

Request a table data import

This method requires the ImportTable permission to be associated with your role.

POST
/gb/import/table
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

multipart/form-data
datastringrequired

Data to import

duplicate_import_check_flagenum<string>default:yes

Perform duplicate gb_imports checksum check

Available options: yes, no
formatenum<string>required

Format of data

Available options: csv, json
procedureenum<string>default:validate
Available options: validate, import
table_namestringrequired

Destination table name

Maximum string length: 64
Pattern: ^[a-z0-9\_]+$
timezonestringdefault:UTC

Timestamps in import files will be parsed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$
unique_ids_must_exist_flagenum<string>default:yes

Unique Ids specified in import records must exist when this flag is 'yes'.

If a specified unique id does not exist on an import record, the import process will not proceed.

Available options: yes, no

Response

application/json

Success

formatenum<string>
Available options: csv, json
Example: csv
table_import_idstring
Example: a5f5b489d019521eb16f5c579faa9e15afc7a4bb